package com.sf._03_treemap;

import java.util.TreeMap;

public class Test {
    public static void main(String[] args) {
        // 往treemap 存储 student-score  , 按照student 年龄进行降序排序
        TreeMap<Student,Integer> map = new TreeMap<>();
        map.put(new Student("zhangsan",30),80);
        map.put(new Student("zhangsan3",20),90);
        map.put(new Student("zhangsan2",40),70);
        map.put(new Student("zhangsan1",25),60);
        System.out.println(map);

//
//        map.remove(1);
//        System.out.println(map);
//        System.out.println(map.get(4));

    }
}
